Support » WooCommerce » Woocommerce mit PHP8

  • Gelöst birgit72

    (@birgit72)


    Guten Tag,
    ich habe dieses Forum entdeckt und hoffe, dass mir jemand helfen kann. Bin also neu hier.
    Ich habe schon alles Mögliche versucht, komme jedoch nicht weiter:
    Meine Webseite läuft noch unter PHP7.4 und mein Hosting Anbieter stellt diese Version zum Jahresende ein. Wenn ich auf die PHP8.0 Version aktualisiere, bekomme ich folgende Fehlermeldung:

    Warning: Trying to access array offset on value of type null in /webspaces/html/wp-content/plugins/woocommerce/src/Admin/Features/Navigation/CoreMenu.php on line 246
    (gefolgt von zig ähnlichen Zeilen…)

    Ich habe schon mein Theme gewechselt, Fehler bleibt. Wenn ich Woocommerce deaktiere, läuft alles einwandfrei. Sobald ich Woocommerce wieder aktiere, kommt der Fehler sofort wieder.
    Alle Plugins sind aktuell,Wordpress aktuelle Version, auch die neueste Version von Woocommerce gestern installiert…
    Kann mit jemand hier einen Tipp geben?
    Vielen Dank im Voraus und viele Grüße
    Birgit

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 9 Antworten - 1 bis 9 (von insgesamt 9)
  • Das ist eindeutig ein Problem des Plugins Woocommerce, steht ja auch da:

    wp-content/plugins/woocommerce

    Bist du dir sicher, dass du die aktuelleste Version hast?

    Thread-Starter birgit72

    (@birgit72)

    Hallo bscu,
    habe gestern Abend aktualisiert auf Version 7.1.0, die mir angeboten wurde. Bin mir bewusst, dass es was mit Woocommerce zu tun haben muss, da ja ohne aktives Woocommerce Plugin alles läuft und es in der Fehlerbeschreibung so steht… Mich wundert nur, dass obwohl ich alles immer aktuell halte (bis auf die PHP Version), scheinbar etwas nicht passt. PHP8 ist ja nun nicht super neu…

    Thread-Starter birgit72

    (@birgit72)

    Ich habe mir alles angesehen, vielen Dank für den Link. Habe es probiert und es funktioniert 🙂 Ich verstehe zwar nicht warum, aber egal. Ich benötige keine Coupons bei Woocommerce…
    Vielen Dank nochmals für die Hilfestellung. Da wäre ich ja nie drauf gekommen

    • Diese Antwort wurde geändert vor 3 Wochen, 2 Tage von birgit72.

    Hallo, Birgit – ich habe exakt dieses Problem! Wie konntest du denn die Option Coupons aktivieren? Sobald ich Woocommerce aktiviere, steigt meine WordPress-Installation aus – wie soll ich da an irgendwelche Optionen von Woocommerce gelangen? Danke & viele Grüße, Gabi

    Betroffene Seite: slowcooker.de

    @gfra

    Wir markieren Threads als „gelöst“, damit sich Helfer und Helferinnen gleich mit den Fragen beschäftigen können, die noch unbeantwortet sind. Eine Frage an einen als „gelöst“ markierten Thread anzuhängen ist eine gute Idee, wenn du keine Antworten bekommen möchtest. 😉

    Thread-Starter birgit72

    (@birgit72)

    @gfra
    Ich habe die Frage erhalten und hier meine Vorgehensweise:
    Vor der Aktualisierung der PHP Version Woocommerce Einstellungen öffnen und Coupons aktivieren. Erst dann PHP Update. So hat es bei mir wunderbar geklappt.
    Hoffe, der Ansatz hilft auch dir und viel Erfolg.
    Viele Grüße
    Birgit

    @birgit72 – danke für die zusätzliche Erläuterung! Leider kann ich bei meinem Hoster nicht mehr zurückstellen auf PHP7.irgendwas – es geht nur 8.0 or 8.1. Ich komme aus der Todesschleife so also nicht raus 🙁

    @pixolin – man darf nicht nach zusätzlichen Infos fragen? Und HIER habe ich ne Antwort erhalten, in meinem eigenen neuen Thread dagegen nicht…

    Viele Grüße, Gabi

    man darf nicht nach zusätzlichen Infos fragen?

    Darfst du. Nur ist die Chance auf eine Antwort dann niedriger. Besser ist es, einen eigenen Thread zu starten – auch wenn du diesmal direkt eine Antwort bekommen hast. Aber darauf hatte ich ja schon freundlich hingewiesen.

Ansicht von 9 Antworten - 1 bis 9 (von insgesamt 9)